# Package com.google.gwt.junit.client

Classes and modules used in building JUnit tests.

See: Description

Class Summary
GWTTestCase: Acts as a bridge between the JUnit environment and the GWT environment.
GWTTestCase.TestModuleInfo: Information about a synthetic module used for testing.

Exception Summary
TimeoutException: This exception is thrown when a `GWTTestCase`-derived class runs a test in asynchronous mode and fails to complete within a specified timeout period.

Annotation Types Summary
WithProperties: Annotation indicating that a test method inside a `GWTTestCase` requires a set of binding properties to be set in its module.
WithProperties.Property: Annotation defining a binding property.

## Package com.google.gwt.junit.client Description

Classes and modules used in building JUnit tests.